Skip to main content
`Ctrl`+`K`

# PetscSectionSetIncludesConstraints

Sets the flag indicating if constrained dofs are to be included when computing offsets

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetIncludesConstraints(PetscSection s, PetscBool includesConstraints)

Not Collective

## Input Parameters

- s - the `PetscSection`

- includesConstraints - the flag indicating if constrained dofs are to be included when computing offsets

## See Also

PetscSection, `PetscSection`, `PetscSectionGetIncludesConstraints()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages